Skip to main content
curl --request POST 'https://api.mayar.id/hl/v1/product/event/create'\
--header 'Authorization: Bearer Paste-Your-API-Key-Here'\
--data-raw '{
        "name": "Bootcamp Coding Fullstack Asix",
        "description": "Workshop fullstack development 2 hari",
        "amount": 3100000,
        "crossoutPrice": 500000,
        "eventUrl": "https://meet.google.com/abc-defg-hij",
        "notes": "offline-jakarta",
        "terms": "Tiket tidak dapat di-refund",
        "redirectUrl": "https://example.com/event-thanks",
        "paymentType": "paid",
        "startAt": "2026-07-01T08:00:00.000Z",
        "eventStartAt": "2026-07-15T08:00:00.000Z",
        "eventEndAt": "2026-07-16T17:00:00.000Z",
        "expiredAt": "2026-07-10T17:00:00.000Z",
        "limit": 50,
        "event": {
            "eventAddress": "jl perjuangan no 32",
            "isOnlineEvent": false,
            "maxTicket": 5
        }
    }'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "7f992557-8791-41b5-a1c8-c5641c3e72b5",
        "link": "https://testingmayar.myr.id/event/Bootcamp-Coding-Fullstack-Asix/"
    }
}
Endpoint:
https://api.mayar.id/hl/v1/product/event/create

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

name
string
required
Event product name.
description
string
required
Event product description in text or HTML format.
amount
integer
required
Event ticket or product price amount.
crossoutPrice
integer
Crossed-out price displayed as the original price.
eventUrl
string
Event URL, such as an online meeting link.
notes
string
Additional notes for the event.
terms
string
Terms and conditions for the event purchase.
redirectUrl
string
URL where the customer will be redirected after completing payment.
paymentType
string
required
Payment type for the event.
startAt
string | datetime
required
Sales start date in ISO 8601 format.
eventStartAt
string | datetime
required
Event start date in ISO 8601 format.
eventEndAt
string | datetime
required
Event end date in ISO 8601 format.
expiredAt
string | datetime
required
Event product expiration date in ISO 8601 format.
limit
number
Maximum participant or purchase limit.
event
object
Additional event details.

event Structure (Array of Object)

event.eventAddress
string
Event location or address.
event.isOnlineEvent
boolean
Indicates whether the event is conducted online.
event.maxTicket
number
Maximum number of tickets that can be purchased per transaction.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code from API.
messages
string
Status message that describes the status code.
data
object
The created event product data.

data Structure (Array of Object)

data.id
string
Unique identifier of the event product.
Public URL of the created event product.